Get notifications

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /notifications

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Query parameters

  • fromTimestamp string
  • toTimestamp string
  • pageSize integer(int32)
  • pageNumber integer(int32)
  • notificationTypes array[string]

    Values are ALL_ANALYSIS, CHECKLIST, CLASSIFY_SCHEDULE, DELAY_ANALYSIS, EXECUTIVE, FILE_EXPORT, FILE_IMPORT, INTEGRATION_SYNC_DATATYPE, INTEGRATION_FILE_DOWNLOAD, INTEGRATION_FILE_VALIDATION, INTEGRATION_FILE_SYNC, MODEL_CREATE, MODEL_UPDATE, PLANNED_CURVE, PROJECT_BASELINE, PROJECT_IMPORT, PROJECT_REBUILD, SCENARIO_CREATE, SCENARIO_UPDATE, or SCHEDULE_REVIEW.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • items array[object]
      Hide items attributes Show items attributes object
      • notificationType string

        Values are ALL_ANALYSIS, CHECKLIST, CLASSIFY_SCHEDULE, DELAY_ANALYSIS, EXECUTIVE, FILE_EXPORT, FILE_IMPORT, INTEGRATION_SYNC_DATATYPE, INTEGRATION_FILE_DOWNLOAD, INTEGRATION_FILE_VALIDATION, INTEGRATION_FILE_SYNC, MODEL_CREATE, MODEL_UPDATE, PLANNED_CURVE, PROJECT_BASELINE, PROJECT_IMPORT, PROJECT_REBUILD, SCENARIO_CREATE, SCENARIO_UPDATE, or SCHEDULE_REVIEW.

      • notificationStatus string

        Values are QUEUED, IN_PROCESS, COMPLETED, or FAILED.

      • createdOn string(date-time)
      • notificationMessage string
      • notificationParams array[object]
        Hide notificationParams attributes Show notificationParams attributes object
        • paramValue string
        • paramName string
        • id string(uuid)
      • id string(uuid)
    • hasMore boolean
GET /notifications
curl \
 --request GET 'https://live.smartpmtech.com/notifications' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "items": [
    {
      "notificationType": "ALL_ANALYSIS",
      "notificationStatus": "QUEUED",
      "createdOn": "2026-05-04T09:42:00Z",
      "notificationMessage": "string",
      "notificationParams": [
        {
          "paramValue": "string",
          "paramName": "string",
          "id": "string"
        }
      ],
      "id": "string"
    }
  ],
  "hasMore": true
}